Package org.apache.sling.distribution.journal

## Interface MessageInfo

    public interface MessageInfo

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getCreateTime()`
`long` `getOffset()`
`int` `getPartition()`
`Map<String,​String>` `getProps()`
`String` `getTopic()`

### Method Detail

#### getTopic

    String getTopic()

#### getPartition

    int getPartition()

#### getOffset

    long getOffset()

#### getCreateTime

    long getCreateTime()

#### getProps

    Map<String,​String> getProps()